
import 'dart:io';

import 'package:path_provider/path_provider.dart';

import 'text_write_read_controller_platform_interface.dart';

class TextWriteReadController {
  Future<String?> getPlatformVersion() {
    return TextWriteReadControllerPlatform.instance.getPlatformVersion();
  }

  Future<File> writeFile(String log) async {
    final file = await _localFile;
    return file.writeAsString(log);
  }

  Future<File> get _localFile async {
    final path = await _getDirectoryPath();
    return File('$path/band_log.txt');
  }

  Future<String> _getDirectoryPath() async {
    // get directory path
    final directory = await getApplicationDocumentsDirectory();
    print('directory: ${directory.path}');
    return directory.path;
  }

  Future<String> readFile() async {
    try {
      final file = await _localFile;
      String contents = await file.readAsString();
      return contents;
    } catch (e) {
      return "";
    }
  }

  Future<bool> appendText(String addText, bool isNewLine) async {

    try {
      String prevText = await readFile();
      if (isNewLine) {
        writeFile("$prevText + $addText\n");
      } else {
        writeFile("$prevText + $addText");
      }


      return true;
    } catch (e) {
      return false;
    }
  }
}
