import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'text_write_read_controller_method_channel.dart';

abstract class TextWriteReadControllerPlatform extends PlatformInterface {
  /// Constructs a TextWriteReadControllerPlatform.
  TextWriteReadControllerPlatform() : super(token: _token);

  static final Object _token = Object();

  static TextWriteReadControllerPlatform _instance = MethodChannelTextWriteReadController();

  /// The default instance of [TextWriteReadControllerPlatform] to use.
  ///
  /// Defaults to [MethodChannelTextWriteReadController].
  static TextWriteReadControllerPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [TextWriteReadControllerPlatform] when
  /// they register themselves.
  static set instance(TextWriteReadControllerPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
