import 'package:flutter_test/flutter_test.dart';
import 'package:text_write_read_controller/text_write_read_controller.dart';
import 'package:text_write_read_controller/text_write_read_controller_platform_interface.dart';
import 'package:text_write_read_controller/text_write_read_controller_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockTextWriteReadControllerPlatform
    with MockPlatformInterfaceMixin
    implements TextWriteReadControllerPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final TextWriteReadControllerPlatform initialPlatform = TextWriteReadControllerPlatform.instance;

  test('$MethodChannelTextWriteReadController is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelTextWriteReadController>());
  });

  test('getPlatformVersion', () async {
    TextWriteReadController textWriteReadControllerPlugin = TextWriteReadController();
    MockTextWriteReadControllerPlatform fakePlatform = MockTextWriteReadControllerPlatform();
    TextWriteReadControllerPlatform.instance = fakePlatform;

    expect(await textWriteReadControllerPlugin.getPlatformVersion(), '42');
  });
}
